Bug 1418046 - Future-dated subscriptions are not displayed in the UI or via subscription-manager
Summary: Future-dated subscriptions are not displayed in the UI or via subscription-ma...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Tom McKay
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 17:00 UTC by Rich Jerrido
Modified: 2019-08-12 14:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
[Verification] Screenshot1 Attached - Subscription Page (67.06 KB, image/png)
2018-01-04 12:42 UTC, Jitendra Yejare
no flags Details
[Verification] Screenshot2 Attached - Subscription Content Host (34.28 KB, image/png)
2018-01-04 12:43 UTC, Jitendra Yejare
no flags Details

Description Rich Jerrido 2017-01-31 17:00:32 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Import subs with future start date
2. visit content->red hat subscriptions or run 'subscription-manager list --all --available' from a registered client. 


the future-dated subs aren't listed.

Comment 6 Jitendra Yejare 2018-01-04 12:40:06 UTC
Verified!

@ Satellite 6.3 snap 30

Steps:

1. Import subscriptions with future start date(2021-02-23)
2. visited content->  Red Hat subscriptions page also Ran 'subscription-manager list --all --available' from a registered client.


Observations:

1. Subscription page shows me the subscriptions with the future start date.
[Attached Screenshot1]
2. Content Host shows the subscription starts in future
[Attached Screenshot2]

Comment 7 Jitendra Yejare 2018-01-04 12:42:47 UTC
Created attachment 1376909 [details]
[Verification] Screenshot1 Attached - Subscription Page

Comment 8 Jitendra Yejare 2018-01-04 12:43:20 UTC
Created attachment 1376910 [details]
[Verification] Screenshot2 Attached - Subscription Content Host

Comment 9 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.